<template>
  <button
    @click="openMenu"
    class="ui button floating dropdown icon"
    v-click-outside="closeMenu">
    <img
      svg-inline
      src="~/assets/svg/arrow/up-white.svg">
    <div :class="menuClasses">
      <slot/>
    </div>
  </button>
</template>

<script>
export default {
  name: 'Dropdown',
  data() {
    return {
      opened: false,
    };
  },
  computed: {
    menuClasses() {
      return {
        menu: true,
        transition: true,
        visible: this.opened,
      };
    },
  },
  methods: {
    openMenu() {
      this.opened = !this.opened;
    },
    closeMenu() {
      if (this.opened) {
        this.opened = false;
      }
    },
  },
};
</script>

<style
  scoped
  lang="scss">
  .ui.button.dropdown.icon {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 1.3125rem;
    @media screen and (max-width: 980px) {
      max-width: 4rem;
    }
    .svg {
      transform: rotate(180deg);
      margin-left: -0.125rem;
      width: 0.625rem;
    }
  }
</style>
